﻿/**
 * Color settings.
 * Настройки цветов.
 */
{
  // Color values for substitutions.
  // Значения цветов для подстановок.
  "def": {
    "al": "0x00CC33",     // ally       / союзник Дефолт 0x96FF00 0x00CC33
    "sq": "0xFFB964",     // squadman   / взводный
    "tk": "0x00D1E4",     // teamKiller / тимкиллер      0x00EAFF
    "en": "0xF50800",     // enemy      / противник
    "pl": "0x8379FE",     // player     / игрок
    "my_sq": "0x2F74FF",  // пользовательский цвет совзводного
    "my_sq2": "0xFFD400", // пользовательский цвет урона по совзводному
    "my_sq3": "0xFFFFFF", // пользовательский цвет урона по совзводному от союзников
    // Dynamic color by various statistical parameters.
    // Динамический цвет по различным статистическим показателям.
    "colorRating": {
      "very_bad":     "0xFE0E00",   // very bad   / очень плохо
      "bad":          "0xFE7903",   // bad        / плохо
      "normal":       "0xF8F400",   // normal     / средне
      "good":         "0x60FF00",   // good       / хорошо
      "very_good":    "0x02C9B3",   // very good  / очень хорошо
      "unique":       "0xD042F3",   // unique     / уникально
      // пользовательские цвета
      "my_color_1":   "0xCC0000",   // my_color_1 / пользов. цвет 1
      "my_color_2":   "0xFFCC33",   // my_color_2 / пользов. цвет 2
      "my_color_3":   "0x00CC33",   // my_color_3 / пользов. цвет 3
      "my_color_4":   "0x6633FF",   // my_color_4 / пользов. цвет 4
      "my_color_5":   "0xFFD700",    // my_color_5 / пользов. цвет 5
      "color0": "0xC8C8B5",  // neutral       / нейтрально
      "color1": "0xFE0E00",  // bad           / плохо
      "color2": "0xFE7903",  // below normal  / ниже нормального
      "color3": "0xF8F400",  // normal        / нормально
      "color4": "0x60FF00",  // good          / хорошо
      "color5": "0x02C9B3",  // great         / отлично
      "color6": "0xD042F3"  // excellent     / превосходно
    },
    // Dynamic color by remaining health points.
    // Динамический цвет по оставшемуся запасу прочности.
    "colorHP": {
      "very_low":         "0xFF0000",   // very low       / очень низкий
      "low":              "0xDD4444",   // low            / низкий
      "average":          "0xFFCC22",   // average        / средний
      "above_average":    "0xFCFCFC"    // above-average  / выше среднего
    }
  },
  "colors": {
    // System colors.
    // Системные цвета.
    "system": {
      // Формат: объект_состояние
      // Объект:      ally - союзник, squadman - взводный, teamKiller - тимкиллер, enemy - противник
      // Состояние:   alive - живой, dead - мертвый, blowedup - взорвана боеукладка
      "ally_alive":          ${"def.al"},
      "ally_dead":           "0x00CC33",
      "ally_blowedup":       "0x00CC33",
      "squadman_alive":      ${"def.sq"},
      "squadman_dead":       "0xFFD400",
      "squadman_blowedup":   "0xFFD400",
      "teamKiller_alive":    ${"def.tk"},
      "teamKiller_dead":     "0xCC00FF",
      "teamKiller_blowedup": "0xCC00FF",
      "enemy_alive":         ${"def.en"},
      "enemy_dead":          "0xFA7572",
      "enemy_blowedup":      "0xFA7572",
      "ally_base":           ${"def.al"},
      "enemy_base":          ${"def.en"}
      
    },
    /** Динамический цвет по типу урона. */
        "dmg_kind": {
            "shot":            "0xFFAA55",  // попадание.
            "fire":            "0xFF6655",  // пожар.
            "ramming":         "0xB48050",  // таран.
            "world_collision": "0x429C42",  // столкновение с объектами, падение.
            "death_zone":      "0xF4EFE8",  // выход из игровой зоны.
            "drowning":        "0x007FFF",  // затопление.
            "other":           "0xF4EFE8"   // другое.
        },
    // Dynamic color by vehicle type.
    // Динамический цвет по типу техники.
    "vtype": {
      "LT":  "0x00CC33",
      // Цвет для средних танков.
      "MT":  "0xFFF198",
      // Цвет для тяжелых танков.
      "HT":  "0xCCCCCC",
      // Цвет для арты.
      "SPG": "0xFFACAC",
      // Цвет для ПТ.
      "TD":  "0xA0CFFF",
      // Цвет для премиумной техники.
      "premium": "0xFFCC66",
      // Включить/выключить использование премиумного цвета.
      "usePremiumColor": false
    },
     // Dynamic color by spotted status
     // Динамический цвет по статусу засвета
    "spotted": {
      "neverSeen":      "0x7FFFAA", //не светился
      "lost":           "0xA5A5A5", //пропал из засвета
      "spotted":        "0xFF6D6D", //светится
      "dead":           "0xFFFFD4", //мертв
      "neverSeen_arty": "0x7FFFAA",
      "lost_arty":      "0xA5A5A5",
      "spotted_arty":   "0xFF6D6D",
      "dead_arty":      "0xFFFFD4"
    },
    // Color settings for damage.
    // Настройки цвета для урона.
    "damage": {
      // Format: src_dst_type.
      // Src:  ally, squadman, enemy, unknown, player.
      // Dst:  ally, squadman, allytk, enemytk, enemy.
      // Type: hit, kill, blowup.
      // ----
      // Формат: источник_получатель_тип.
      // Источник:   ally - союзник, squadman - взводный, enemy - противник, unknown - неизвестный (не виден игроку), player - игрок.
      // Получатель: ally, squadman, enemy, allytk - союзник тимкиллер, enemytk - противник тимкиллер.
      // Тип:        hit - попадание, kill - убийство, blowup - боеукладка.
      "ally_ally_hit"           :       "0x00CC33",  // союзник,      союзник,               попадание.
	  "ally_squadman_hit"       :       "0x0099FF",  // союзник,      взводный,              попадание.
	  "ally_enemy_hit"          :       "0xFFCC00",  // союзник,      противник,             попадание.
      "ally_allytk_hit"         :       "0xFFCC00",  // союзник,      союзник,тимкиллер,     попадание.
      "ally_enemytk_hit"        :       "0xFFCC00",  // союзник,      противник,тимкиллер.   попадание.
	  "ally_enemy_blowup"       :	    "0x990000",  // союзник,      противник,             боеукладка.
	  "ally_allytk_blowup"      :	    "0x00D1E4",  // союзник,      союзник,тимкиллер,     боеукладка.
      "ally_enemytk_blowup"     :	    "0x00D1E4",  // союзник,      противник,тимкиллер,   боеукладка.
	  "ally_ally_blowup"        :	    "0x669900",  // союзник,      союзник,               боеукладка.
	  "ally_squadman_blowup"    :       "0x096A75",  // союзник,      взводный,              боеукладка.
      "ally_ally_kill"          :		"0x16BDEC",  // союзник,      союзник,               убийство.
      "ally_squadman_kill"      :       "0x16BDEC",  // союзник,      взводный,              убийство.
      "ally_enemy_kill"         :	    "0xF50800",  // союзник,      противник,             убийство.
      "ally_allytk_kill"        :	    "0x006666",  // союзник,      союзник,тимкиллер,     убийство.
      "ally_enemytk_kill"       :	    "0x006666",  // союзник,      противник,тимкиллер,   убийство.
	  "enemy_squadman_hit"      :       "0xFFB964",  // противник,    взводный,              попадание.
	  "enemy_enemy_hit"         :       "0xFF00FF",  // противник,    противник,             попадание.	  
      "enemy_ally_hit"          :       "0x08E88E",  // противник,    союзник,               попадание.    0x95FFA7
      "enemy_allytk_hit"        :       ${"def.al"}, // противник,    союзник,тимкиллер,     попадание.
      "enemy_enemytk_hit"       :       "0xFF00FF",  // противник,    противник,тимкиллер,   попадание.  	  
	  "enemy_enemy_blowup"      :	    "0xFF3333",  // противник,    противник,             боеукладка.
	  "enemy_enemytk_blowup"    :	    "0xFF3333",  // противник,    противник,тимкиллер,   боеукладка.
	  "enemy_ally_blowup"       :	    "0x007700",  // противник,    союзник,               боеукладка.
	  "enemy_allytk_blowup"     :	    "0x00D1E4",  // противник,    союзник,тимкиллер,     боеукладка.
	  "enemy_squadman_blowup"   :	    "0xA45A00",  // противник,    взводный,              боеукладка.
	  "enemy_ally_kill"         :	    "0x009900",  // противник,    союзник,               убийство.
      "enemy_allytk_kill"       :	    "0x006666",  // противник,    союзник,               убийство.
      "enemy_enemy_kill"        :	    "0x006666",  // противник,    противник,             убийство.
      "enemy_enemytk_kill"      :	    "0xA45A00",  // противник,    противник,             убийство.
      "enemy_squadman_kill"     :	    "0xCA7000",  // противник,    взводный,              убийство.
	  "squadman_ally_hit"       :       "0x0099F1",  // взводный,     союзник,               попадание.
	  "squadman_squadman_hit"   :       "0x0099F1",  // взводный,     взводный,              попадание.
	  "squadman_enemy_hit"      :       "0xFFCC00",  // взводный,     противник ,            попадание.
	  "squadman_allytk_hit"     :       "0xFFCC00",  // взводный,     союзник,тимкиллер,     попадание.
	  "squadman_enemytk_hit"    :       "0xFFCC00",  // взводный,     противник,тимкиллер,   попадание.
	  "squadman_squadman_blowup":       "0x096A75",  // взводный,     взводный,              боеукладка.
	  "squadman_enemy_blowup"   :	    "0x996633",  // взводный,     противник,             боеукладка.
	  "squadman_allytk_blowup"  :	    "0x996633",  // взводный,     союзник,тимкиллер,     боеукладка.
	  "squadman_enemytk_blowup" :       "0x996633",  // взводный,     противник,тимкиллер,   боеукладка.
      "squadman_ally_blowup"    :       ${"def.sq"}, // взводный,     союзник,               боеукладка,
      "squadman_ally_kill"      :	    "0x16BDEC",  // взводный,     союзник,               убийство.
      "squadman_squadman_kill"  :	    "0x16BDEC",  // взводный,     взводный,              убийство.
      "squadman_enemy_kill"     :	    "0x993333",  // взводный,     противник,             убийство.
      "squadman_allytk_kill"    :	    "0x993333",  // взводный,     союзник,тимкиллер,     убийство.
      "squadman_enemytk_kill"   :	    "0x993333",  // взводный,     противник,тимкиллер,   убийство.	  
      "player_enemy_hit"        :       "0xFFFFFF",  // игрок,        противник,             попадание.
      "player_ally_hit"         :       "0x0099FF",  // игрок,        союзник,               попадание.
      "player_squadman_hit"     :       "0x0099FF",  // игрок,        взводный,              попадание.
      "player_enemytk_hit"      :       "0x15BCEB",  // игрок,        противник,тимкиллер,   попадание.	  
	  "player_enemy_kill"       :	    "0x15BCEB",  // игрок,        противник,             убийство.
	  "player_allytk_kill"      :	    "0x15BCEB",  // игрок,        союзник,тимкиллер,     убийство.
	  "player_enemytk_kill"     :	    "0x15BCEB",  // игрок,        противник,тимкиллер,   убийство.
      "player_ally_kill"        :	    "0x16BDEC",  // игрок,        союзник,               убийство.
      "player_squadman_kill"    :	    "0x16BDEC",  // игрок,        взводный,              убийство.	  
	  "player_enemy_blowup"     :	    "0x15BCEB",  // игрок,        противник,             боеукладка.
	  "player_enemy_fire"       :	    "0x15BCEB",  // игрок,        противник,             боеукладка.
	  "player_ally_blowup"      :	    "0x096A75",  // игрок,        союзник,               боеукладка.
	  "player_squadman_blowup"  :	    "0x096A75",  // игрок,        взводный,              боеукладка.	
	  "player_allytk_blowup"    :	    "0xCCCC99",  // игрок,        союзник,тимкиллер,     боеукладка.
	  "player_enemytk_blowup"   :	    "0xCCCC99"   // игрок,        противник,тимкиллер,   боеукладка.	  
    },
/*
	  "ally_enemy_hit"          :       "0xFFCC00",  // союзник,      противник,             попадание.
      "ally_allytk_hit"         :       "0xFFCC00",  // союзник,      союзник,тимкиллер,     попадание.
      "ally_enemytk_hit"        :       "0xFFCC00",  // союзник,      противник,тимкиллер.   попадание.
      "ally_allytk_blowup": "0x0033FF",
      "ally_allytk_hit": "0x00FFFF",
      "ally_allytk_kill": "0x0033FF",
      "ally_enemy_blowup": "0x990000",
      "ally_enemy_hit": "0xF50800",
      "ally_enemy_kill": "0xCC0000",
      "ally_enemytk_blowup": "0x990066",
      "ally_enemytk_hit": "0xF50800",
      "ally_enemytk_kill": "0x990066",
      "ally_squadman_blowup": "0x009966",
      "ally_squadman_hit": "0x00EAFF",
      "ally_squadman_kill": "0x006666",
      "enemy_ally_blowup": "0x669900",
      "enemy_ally_hit": "0x08E88E",
      "enemy_ally_kill": "0x33CC00",
      "enemy_allytk_blowup": "0x009966",
      "enemy_allytk_hit": "0x96FF00",
      "enemy_allytk_kill": "0x009933",
      "enemy_enemy_blowup": "0x990000",
      "enemy_enemy_hit": "0xF50800",
      "enemy_enemy_kill": "0xCC0000",
      "enemy_enemytk_blowup": "0x990000",
      "enemy_enemytk_hit": "0xF50800",
      "enemy_enemytk_kill": "0xCC0000",
      "enemy_squadman_blowup": "0xFFCC33",
      "enemy_squadman_hit": "0xFFB964",
      "enemy_squadman_kill": "0xFFCC33",
      "player_ally_blowup": "0x009966",
      "player_ally_hit": "0x00EAFF",
      "player_ally_kill": "0x009933",
      "player_allytk_blowup": "0x0033FF",
      "player_allytk_hit": "0xFFDD33",
      "player_allytk_kill": "0x0033FF",
      "player_enemy_blowup": "0xCCCC99",
      "player_enemy_hit": "0xFFDD33",
      "player_enemy_kill": "0xCCCC33",
      "player_enemytk_blowup": "0x990066",
      "player_enemytk_hit": "0xFFDD33",
      "player_enemytk_kill": "0x990066",
      "player_squadman_blowup": "0x009966",
      "player_squadman_hit": "0x00EAFF",
      "player_squadman_kill": "0x006666",
      "squadman_ally_blowup": "0x009966",
      "squadman_ally_hit": "0x00EAFF",
      "squadman_ally_kill": "0x009933",
      "squadman_allytk_blowup": "0x0033FF",
      "squadman_allytk_hit": "0x00EAFF",
      "squadman_allytk_kill": "0x0033FF",
      "squadman_enemy_blowup": "0x996633",
      "squadman_enemy_hit": "0xFF9900",
      "squadman_enemy_kill": "0x993333",
      "squadman_enemytk_blowup": "0x990066",
      "squadman_enemytk_hit": "0xFF9900",
      "squadman_enemytk_kill": "0x990066",
      "squadman_squadman_blowup": "0x009966",
      "squadman_squadman_hit": "0x00EAFF",
      "squadman_squadman_kill": "0x006666",
      "unknown_ally_blowup": "0x669900",
      "unknown_ally_hit": "0x96FF00",
      "unknown_ally_kill": "0x33CC00",
      "unknown_allytk_blowup": "0x669900",
      "unknown_allytk_hit": "0x96FF00",
      "unknown_allytk_kill": "0x33CC00",
      "unknown_enemy_blowup": "0x990000",
      "unknown_enemy_hit": "0xF50800",
      "unknown_enemy_kill": "0xCC0000",
      "unknown_enemytk_blowup": "0x990000",
      "unknown_enemytk_hit": "0xF50800",
      "unknown_enemytk_kill": "0xCC0000",
      "unknown_squadman_blowup": "0xFFCC33",
      "unknown_squadman_hit": "0xFFB964",
      "unknown_squadman_kill": "0xFFCC33"
    },
*/
    // Values below should be from smaller to larger.
    // Значения ниже должны быть от меньшего к большему.
    // ----
    // Dynamic color by remaining absolute health.
    // Динамический цвет по оставшемуся здоровью.
    "hp": [
      { "value": 200,  "color": ${"def.colorHP.very_low"     } }, // color for HP <= 200
      { "value": 400,  "color": ${"def.colorHP.low"          } }, // color for HP <= 400
      { "value": 1000, "color": ${"def.colorHP.average"      } }, // color for HP <= 1000
      { "value": 9999, "color": ${"def.colorHP.above_average"} }  // color for HP > 1000
    ],
    // Dynamic color by remaining health percent.
    // Динамический цвет по проценту оставшегося здоровья.
    "hp_ratio": [
      { "value": 10.4, "color": ${"def.colorHP.very_low"     } }, // color for HP <= 10%
      { "value": 25.4, "color": ${"def.colorHP.low"          } }, // color for HP <= 25%
      { "value": 50.4, "color": ${"def.colorHP.average"      } }, // color for HP <= 50%
      { "value": 100,  "color": ${"def.colorHP.above_average"} }  // color for HP > 50%
    ],
    // Dynamic color for XVM Scale
    // Динамический цвет по шкале XVM
    // https://koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 16.4, "color": ${"def.colorRating.very_bad" } }, // 00 - 16 - very bad  (20% of players)
      { "value": 33.4, "color": ${"def.colorRating.bad"      } }, // 17 - 33 - bad       (better than 20% of players)
      { "value": 52.4, "color": ${"def.colorRating.normal"   } }, // 34 - 52 - normal    (better than 60% of players)
      { "value": 75.4, "color": ${"def.colorRating.good"     } }, // 53 - 75 - good      (better than 90% of players)
      { "value": 92.4, "color": ${"def.colorRating.very_good"} }, // 76 - 92 - very good (better than 99% of players)
      { "value": 999,  "color": ${"def.colorRating.unique"   } }  // 93 - XX - unique    (better than 99.9% of players)
    ],
    // Текущие граничные значения для рейтингов указаны на данной странице: (TODO) https://nightly.modxvm.com/xvmscales/
    // Динамический цвет по указанному рейтингу.
    // Если вы хотите использовать свои собственные границы цветов вместо стандартных, 
    // раскомментируйте блок и замените "rating_name" на одно из следующих значений: "eff", "wn8", "wtr", "wgr"
    // "rating_name": [
    //  { "value": 500,   "color": ${"def.colorRating.very_bad" } }, //    0 - 500   - very bad
    //  { "value": 1000,  "color": ${"def.colorRating.bad"      } }, //  501 - 1000  - bad
    //  { "value": 2000,  "color": ${"def.colorRating.normal"   } }, // 1001 - 2000  - normal
    //  { "value": 3000,  "color": ${"def.colorRating.good"     } }, // 2001 - 3000  - good
    //  { "value": 5000,  "color": ${"def.colorRating.very_good"} }, // 3001 - 5000  - very good
    //  { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 5001 - 99999 - uniquе
    // ],
    // Динамический цвет по проценту нанесенного урона цели.
    "dmg_ratio_player": [
      { "value": 16.5, "color": ${"def.colorRating.very_bad" } },   
      { "value": 33.5, "color": ${"def.colorRating.bad"      } },   
      { "value": 49.5, "color": ${"def.colorRating.normal"   } },   
      { "value": 66.5, "color": ${"def.colorRating.good"     } },   
      { "value": 83.5, "color": ${"def.colorRating.very_good"} },  
      { "value": 999,  "color": ${"def.colorRating.unique"   } }    
    ], 
    // Dynamic color by efficiency
    // Динамический цвет по эффективности
    "eff": [
      { "value": 598,  "color": ${"def.colorRating.very_bad" } }, //    0 - 598  - very bad  (20% of players)
      { "value": 874,  "color": ${"def.colorRating.bad"      } }, //  599 - 874  - bad       (better than 20% of players)
      { "value": 1079, "color": ${"def.colorRating.normal"   } }, //  875 - 1079 - normal    (better than 60% of players)
      { "value": 1540, "color": ${"def.colorRating.good"     } }, // 1080 - 1540 - good      (better than 90% of players)
      { "value": 1868, "color": ${"def.colorRating.very_good"} }, // 1541 - 1868 - very good (better than 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }  // 1869 - *    - unique    (better than 99.9% of players)
    ],
    // Новый рейтинг от Wargaming
    "wtr": [
      { "value": 2631,  "color": ${"def.colorRating.very_bad" } }, //    0 - 2631 - very bad  (20% of players)
      { "value": 4464,  "color": ${"def.colorRating.bad"      } }, // 2632 - 4464 - bad       (better than 20% of players)
      { "value": 6249,  "color": ${"def.colorRating.normal"   } }, // 4465 - 6249 - normal    (better than 60% of players)
      { "value": 8141,  "color": ${"def.colorRating.good"     } }, // 6250 - 8141 - good      (better than 90% of players)
      { "value": 9460,  "color": ${"def.colorRating.very_good"} }, // 8142 - 9460 - very good (better than 99% of players)
      { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 9461 - *    - unique    (better than 99.9% of players)
    ],
    // Dynamic color by WN8 rating
    // Динамический цвет по рейтингу WN8
    "wn8": [
      { "value": 400,  "color": ${"def.colorRating.very_bad" } },  //    0 - 399  - very bad   (20% of players)
      { "value": 900,  "color": ${"def.colorRating.bad"      } },  //  400 - 899  - bad        (better than 20% of players)
      { "value": 1470, "color": ${"def.colorRating.normal"   } },  //  900 - 1469 - normal     (better than 60% of players)
      { "value": 2180, "color": ${"def.colorRating.good"     } },  // 1470 - 2179 - good       (better than 90% of players)
      { "value": 2880, "color": ${"def.colorRating.very_good"} },  // 2180 - 2879 - very good  (better than 99% of players)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 2880 - *    - unique     (better than 99.9% of players)
    ],
    // Dynamic color by win percent
    // Динамический цвет по проценту побед
    "winrate": [
      { "value": 46.49, "color": ${"def.colorRating.very_bad" } }, //  0   - 46.5  - very bad  (20% of players)
      { "value": 48.49, "color": ${"def.colorRating.bad"      } }, // 46.5 - 48.5  - bad       (better than 20% of players)
      { "value": 52.49, "color": ${"def.colorRating.normal"   } }, // 48.5 - 52.5  - normal    (better than 60% of players)
      { "value": 57.49, "color": ${"def.colorRating.good"     } }, // 52.5 - 57.5  - good      (better than 90% of players)
      { "value": 64.49, "color": ${"def.colorRating.very_good"} }, // 57.5 - 64.5  - very good (better than 99% of players)
      { "value": 100,  "color":  ${"def.colorRating.unique"   } }  // 64.5 - 100   - unique    (better than 99.9% of players)
    ],
    // Dynamic color by kilo-battles
    // Динамический цвет по количеству кило-боев
    "kb": [
      { "value": 2,   "color": ${"def.colorRating.very_bad" } },  //  0 - 2
      { "value": 6,   "color": ${"def.colorRating.bad"      } },  //  3 - 6
      { "value": 16,  "color": ${"def.colorRating.normal"   } },  //  7 - 16
      { "value": 30,  "color": ${"def.colorRating.good"     } },  // 17 - 30
      { "value": 43,  "color": ${"def.colorRating.very_good"} },  // 31 - 43
      { "value": 999, "color": ${"def.colorRating.unique"   } }   // 44 - *
    ],
    // Dynamic color by average level of player tanks
    // Динамический цвет по среднему уровню танков игрока
    "avglvl": [
      { "value": 1,  "color": ${"def.colorRating.very_bad" } },
      { "value": 2,  "color": ${"def.colorRating.bad"      } },
      { "value": 4,  "color": ${"def.colorRating.normal"   } },
      { "value": 6,  "color": ${"def.colorRating.good"     } },
      { "value": 8,  "color": ${"def.colorRating.very_good"} },
      { "value": 10, "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by battles on current tank
    // Динамический цвет по количеству боев на текущем танке
    "t_battles": [
      { "value": 99,    "color": ${"def.colorRating.very_bad" } }, //    0 - 99
      { "value": 249,   "color": ${"def.colorRating.bad"      } }, //  100 - 249
      { "value": 499,   "color": ${"def.colorRating.normal"   } }, //  250 - 499
      { "value": 999,   "color": ${"def.colorRating.good"     } }, //  500 - 999
      { "value": 1799,  "color": ${"def.colorRating.very_good"} }, // 1000 - 1799
      { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 1800 - *
    ],
    // Dynamic color by average damage on current tank
    // Динамический цвет по среднему урону за бой на текущем танке
    "tdb": [
      { "value": 499,  "color": ${"def.colorRating.very_bad" } },
      { "value": 749,  "color": ${"def.colorRating.bad"      } },
      { "value": 999,  "color": ${"def.colorRating.normal"   } },
      { "value": 1799, "color": ${"def.colorRating.good"     } },
      { "value": 2499, "color": ${"def.colorRating.very_good"} },
      { "value": 9999, "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average damage efficiency on current tank
    // Динамический цвет по эффективности урона за бой на текущем танке
    "tdv": [
      { "value": 0.5, "color": ${"def.colorRating.very_bad" } },
      { "value": 0.7, "color": ${"def.colorRating.bad"      } },
      { "value": 0.9, "color": ${"def.colorRating.normal"   } },
      { "value": 1.2, "color": ${"def.colorRating.good"     } },
      { "value": 1.9, "color": ${"def.colorRating.very_good"} },
      { "value": 15,  "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average frags per battle on current tank
    // Динамический цвет по среднему количеству фрагов за бой на текущем танке
    "tfb": [
      { "value": 0.5, "color": ${"def.colorRating.very_bad" } },
      { "value": 0.7, "color": ${"def.colorRating.bad"      } },
      { "value": 0.9, "color": ${"def.colorRating.normal"   } },
      { "value": 1.2, "color": ${"def.colorRating.good"     } },
      { "value": 1.9, "color": ${"def.colorRating.very_good"} },
      { "value": 15,  "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by average number of spotted enemies per battle on current tank
    // Динамический цвет по среднему количеству засвеченных врагов за бой на текущем танке
    "tsb": [
      { "value": 0.5, "color": ${"def.colorRating.very_bad" } },
      { "value": 0.7, "color": ${"def.colorRating.bad"      } },
      { "value": 0.9, "color": ${"def.colorRating.normal"   } },
      { "value": 1.2, "color": ${"def.colorRating.good"     } },
      { "value": 1.9, "color": ${"def.colorRating.very_good"} },
      { "value": 15,  "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by WN8 effective damage
    // Динамический цвет по эффективному урону по WN8
    "wn8effd": [
      { "value": 0.5, "color": ${"def.colorRating.very_bad" } },
      { "value": 0.7, "color": ${"def.colorRating.bad"      } },
      { "value": 0.9, "color": ${"def.colorRating.normal"   } },
      { "value": 1.2, "color": ${"def.colorRating.good"     } },
      { "value": 1.9, "color": ${"def.colorRating.very_good"} },
      { "value": 15,  "color": ${"def.colorRating.unique"   } }
    ],
    // Dynamic color by damage rating (percents for marks on gun)
    // Динамический цвет по рейтингу урона (процент для отметок на стволе)
    "damageRating": [
      { "value": 64.99, "color": ${"def.colorRating.very_bad"} }, // 0-64.99
      { "value": 84.99, "color": ${"def.colorRating.normal"  } }, // 65-84.99
      { "value": 94.99, "color": ${"def.colorRating.good"    } }, // 85-94.99
      { "value": 100,   "color": ${"def.colorRating.unique"  } }  // 95-*
    ],
    // Dynamic color by hit ratio (percents of hits)
    // Динамический цвет по проценту попаданий
    "hitsRatio": [
      { "value": 47.4, "color": ${"def.colorRating.very_bad" } },
      { "value": 60.4, "color": ${"def.colorRating.bad"      } },
      { "value": 68.4, "color": ${"def.colorRating.normal"   } },
      { "value": 74.4, "color": ${"def.colorRating.good"     } },
      { "value": 78.4, "color": ${"def.colorRating.very_good"} },
      { "value": 100,  "color": ${"def.colorRating.unique"   } }
    ]
  }
}
