﻿/**
 * Normal carousel cells settings
 * Настройки ячеек карусели обычного размера
 */
{
  // Definitions
  // Шаблоны
  "def": {
    // Text fields shadow.
    // Тень текстовых полей.
    "textFieldShadow": { "enabled": true, "color": "0x000000", "alpha": 80, "blur": 2, "strength": 2, "distance": 0, "angle": 0 }
  },
  "normal": {
    // Cell width
    // Ширина ячейки
    "width": 160,
    // Cell height
    // Высота ячейки
    "height": 100,
    // Spacing between carousel cells.
    // Отступ между ячейками карусели.
    "gap": 10,
    // Standard cell elements.
    // Стандартные элементы ячеек.
    "fields": {
      // "enabled"  - the visibility of the element / видимость элемента
      // "dx"       - horizontal shift              / смещение по горизонтали
      // "dy"       - vertical shift                / смещение по вертикали
      // "alpha"    - transparency                  / прозрачность
      // "scale"    - scale                         / масштаб
      //
      // Nation flag.
      // Флаг нации.
      "flag": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle icon.
      // Иконка танка.
      "tankIcon": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle class icon.
      // Иконка типа техники.
      "tankType": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle level.
      // Уровень техники
      "level":    { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Double XP icon
      // Иконка не сбитого опыта за первую победу в день.
      "xp":       { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle name.
      // Название танка.
      "tankName": { "enabled": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1,  "textFormat": {}, "shadow": {} },
      // Vehicle rent info text.
      // Инфо текст аренды танка.
      "rentInfo": { "enabled": true, "dx": 0, "dy": -24, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Info text (Crew incomplete, Repairs required)
      // Инфо текст (Неполный экипаж, Требуется ремонт).
      "info":     { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Info image
      // Инфо иконка
      "infoImg":  { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Info text for "Buy vehicle" and "Buy slot" slots.
      // Инфо текст для слотов "Купить машину" и "Купить слот".
      "infoBuy":  { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1, "textFormat": {}, "shadow": {} },
      // Clan lock timer
      // Таймер блокировки танка
      "clanLock": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Price
      // Цена
      "price":    { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Action price
      // Акционная цена
      "actionPrice": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Favorite vehicle mark
      // Маркер основной техники
      "favorite": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Маркер техники с возможностью заработка бон.
      "crystalsBorder": { "enabled": true, "alpha": 100 },
      // Image in in the stats field "stats" for vehicle with the ability to earn bonds.
      // Иконка в поле статистики "stats" для техники с возможностью заработка бон.
      "crystalsIcon": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100 },
      // Stats field that appears on the mouse hover
      // Поле статистики, отображаемое при наведении мыши
      "stats": { "enabled": true, "dx": 0, "dy": 0, "alpha": 100, "textFormat": {}, "shadow": {} }
    },
    // Extra cell fields (extended format supported, see extra-field.txt).
    // Дополнительные поля ячеек (поддерживается расширенный формат, см. extra-field.txt).
    "extraFields": [
      // Название премиум танка
        { "x": 102, "y": 83, "align": "center", "alpha": "{{v.premium?100|0}}",
          "format": "<font size='12.5' color='#FEA659' face='Archive'>{{v.name}}</font>",
          "shadow": { "color": "0xFF0000", "alpha": 45, "blur": 6, "strength": 2, "distance": 0, "angle": 45 }
        },
      // Название обычного танка
		{ "x": 102, "y": 83, "align": "center", "alpha": "{{v.premium?0|100}}",
          "format": "<font size='12.5' color='#ffffff' face='Archive'>{{v.name}}</font>",
          "shadow": ${ "def.textFieldShadow" }
        },
      // Премиум рамка
        { "x": 1, "y": 1, "layer": "bottom", "width": 160, "height": 100 },
        { "x": 1, "y": 1, "layer": "top", "width": 160, "height": 100, "borderColor": "{{v.selected?#009200|{{v.premium?#FF5500|#FFDD99}}}}", "alpha": "{{v.selected?100|{{v.premium?100|0}}}}" },
        { "x": 1, "y": 1, "alpha": 30, "width": 160, "height": 100,
        "format": "<img src='cfg://3AZHIGALKA/img/Carousel/Fon/{{v.premium?premiumSlot|none}}.png'>" },
     // Фон по типу техники
	      	{ "x": 1, "y": 1, "layer": "bottom", "width": 160, "height": 100, "borderColor": "#8000FF", "alpha": "{{v.selected?100|0}}",
          "format": "<img src='cfg://Enot/img/Carousel/Fon/{{v.c_type}}.png' width='160' height='100'>"
        },
	 // Знак мастерства
        { "x": 2, "y": 53, "width": 24, "height": 24, "src": "{{v.mastery!=0?img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png}}"
        },
		// Иконка отметок на стволе
        { "x": 4, "y": 20, "src": "cfg://Enot/img/Carousel/mog{{v.marksOnGun|x}}.png"
        },
		// Количество отметок на стволе(цифра внутри иконки)
	      	{ "x": 11, "y": "{{v.marksOnGun?18|17}}", "layer": "top", "align": "center",
          "format": "<b><font size='9' color='#C8C8B5'>{{v.marksOnGun|x}}</font></b>",
          "shadow": ${ "def.textFieldShadow" }
        },
  // Уровни боев танка
      { "enabled": true,
        "x": 48, "y": 3, "width": 12, "height": 12, "alpha": "{{v.battletiermin?|0}}",
        "src": "cfg://Enot/img/Carousel/level.png"
        },
      { "enabled": true,
        "x": 58, "y": 0,
        "format": "<b><font face='$FieldFont' size='11' color='#FFFFFF' alpha='#F0'> {{v.battletiermin%d|}}-{{v.battletiermax%d|}}</font></b>",
        "shadow": ${ "def.textFieldShadow" }
      },
		 // Средний урон
      { "enabled": true,
        "x": 1, "y": 35, "width": 18, "height": 18, "alpha": "{{v.tdb?|0}}",
        "format": "<img src='cfg://Enot/img/Carousel/damage.png'>"
      },
      { "enabled": true,
        "x": 19, "y": 39,
        "format": "<b><font face='Guch' size='10' color='{{v.c_xtdb|#CFCFCF}}'>{{v.tdb%d}}</font></b>",
        "shadow": ${ "def.textFieldShadow" }
      },
  // Процент побед
        {
        "enabled": true,
        "x": 158.5, "y": 61, "align": "right", "width": 16, "height": 16, "alpha": "{{v.winrate?|0}}",
        "format": "<img src='cfg://Enot/img/Carousel/wins.png'>"
        },
        { "x": 94, "y": 58.5,
          "format": "<b><font face='Arial' size='13' color='{{v.c_winrate}}'>{{v.winrate%.2f~%}}</font></b>",
          "shadow": ${ "def.textFieldShadow" }
        },
		// Флаг нации
		      { "x": 134.3, "y":19, "alpha": 100,
          "format": "<img src='cfg://Enot/img/Carousel/Flags/nation_{{v.nation}}.png' width='20' height='12'>",
          "shadow": ${ "def.textFieldShadow" }
        },
		// Количество боев на технике
	      	{ "x": 2, "y": 77,
          "format": "<font face='xvm' size='20' color='#FFAA33'>&#x40;</font> <textformat leading='-3'><b><font face='Guch' size='10' color='{{v.c_battles}}'>{{v.battles}}</font></b></textformat>",
          "shadow": ${ "def.textFieldShadow" }
        },
		// Процент отметок на стволе
        { "x": 20, "y": 20,
          "format": "<font face='Guch' size='10' color='{{v.c_damageRating}}'>{{v.level>4?{{v.damageRating%.1f~%|__%}}}}</font>",
          "shadow": ${ "def.textFieldShadow" }
        }
    ]
  }
}
