﻿/** Настройка P.S.Enot
  * Macros used in py_hitLog:
  * Макросы используемые в py_hitLog:
   
    {{dmg}}                - last damage / последний нанесенный урон.
    {{dmg-kind}}           - type of damage / тип нанесенного урона (атака, пожар, таран, ...).
    {{c:dmg-kind}}         - color by damage kind / цвет по типу урона.
    {{type-shell}}         - shell kind / тип снаряда.
    {{c:type-shell}}       - color by shell kind / цвет по типу снаряда.
    {{vtype}}              - vehicle type / тип техники.
    {{c:vtype}}            - color by vehicle type / цвет по типу техники.
    {{team-dmg}}           - team attachment of the targets / командная принадлежность цели (союзник, противник, урон по себе).
    {{c:team-dmg}}         - color by team attachment of the targets / цвет по командной принадлежности цели (союзник, противник, урон по себе).
    {{costShell}}          - shell currency (gold, credits) / валюта снаряда (золото, кредиты).
    {{c:costShell}}        - color by shell currency / цвет по валюте снаряда.
    {{vehicle}}            - attacker vehicle name (for firing points, the name is taken from the localization files, the "pillbox" parameter) / название техники цели (для огневых точек название берется из файлов локализации, параметр "pillbox").
    {{name}}               - nickname target / никнейм цели.
    {{comp-name}}          - vehicle part that was hit (turret, hull, chassis, gun) / часть техники, в которую было попадание (башня, корпус, ходовая, орудие).
    {{clan}}               - clan name with brackets (empty if no clan) / название клана в скобках (пусто, если игрок не в клане).
    {{level}}              - vehicle level / уровень техники.
    {{clannb}}             - clan name without brackets / название клана без скобок.
    {{clanicon}}           - macro with clan emblem image path value / макрос со значением пути эмблемы клана.
    {{squad-num}}          - number of squad (1,2,...), empty if not in squad / номер взвода (1,2,...), пусто - если игрок не во взводе.
    {{dmg-ratio}}          - last damage in percent / последний нанесенный урон в процентах.
    {{splash-hit}}         - value 'splash', if damage is caused by shell splinters (HE/HESH), empty if not / возвращает 'splash', если урон нанесен осколками снаряда (ОФ/ХФ), иначе пусто.
    {{critical-hit}}       - value 'crit', if critical damage was done, empty if not / возвращает 'crit', если было нанесено критическое повреждение, иначе пусто.    
    {{alive}}              - value 'al', if the vehicle after the attack is not destroyed, empty if destroyed / возвращает 'al', если техника после атаки не разрушена, пусто для разрушенной.
    {{wn8}}, {{xwn8}}, {{wtr}}, {{xwtr}}, {{eff}}, {{xeff}}, {{wgr}}, {{xwgr}}, {{xte}}, {{r}}, {{xr}} - statistics macros (see macros.txt) / макросы статистики (смотрите macros_ru.txt).
    {{c:wn8}}, {{c:xwn8}}, {{c:wtr}}, {{c:xwtr}}, {{c:eff}}, {{c:xeff}}, {{c:wgr}}, {{c:xwgr}}, {{c:xte}}, {{c:r}}, {{c:xr}} - color according to the corresponding statistics macro (see macros.txt) / цвет по соответствующему макросу статистики (смотрите macros_ru.txt).
    {{diff-masses}}        - vehicles weights difference during collision / разность масс техники при столкновении.
    {{nation}}             - vehicle nation / нация техники.
    {{blownup}}            - value 'blownup', if target ammoBay is blown up, '' if not / возвращает 'blownup', если взорван боекомплект цели, иначе ''.
    {{type-shell-key}}     - shell kind table key value / название ключа таблицы типа снаряда.
    {{n-player}}           - number of hits for each player / число повреждений по каждому игроку.
    {{dmg-player}}         - sum of hits for each player / суммарный урон по цели.
    {{dmg-ratio-player}}   - total damage to targets in percent / суммарный урон по цели в процентах.
    {{c:dmg-ratio-player}} - color by total damage to targets (set in colors.xc) / цвет по суммарному урону по цели (задается в colors.xc).
    {{dmg-kind-player}}    - all kinds of damage done to targets (attack, fire, ramming, ...) / все типы нанесенного урона по цели (атака, пожар, таран, ...).
    {{dmg-deviation}}      - TODO / отклонение нанесенного урона от номинального урона снаряда в процентах. Возвращает 0.0, если техника была уничтожена выстрелом, или выстрел был фугасом и отклонение составило больше 25%.
    {{vehiclename}}        - vehicle system name (usa-A34_M24_Chaffee) / название техники в системе (usa-A34_M24_Chaffee).
*/

{
    "hitLog": {
    // false - Disable.
    // false - отключить.
    "enabled": ${"inclusion\HitLog\hitLog.xc":"enabled"},
    //
    // true - отображать урон по себе 
    "showSelfDamage": false,
    //
    // true - отображать урон по союзникам 
    "showAllyDamage": false,
    //
    //
    "log": {
      //true - allow to move log in battle and disallow macros for "x" and "y" settings
      //false - disallow to move log in battle and allow macros for "x" and "y" settings
      //true - разрешить перемещение лога в бою и запретить макросы в настройках "x" и "y"
      //false - запретить перемещение лога в бою и разрешить макросы в настройках "x" и "y"
      "moveInBattle": false,
      "x": 320,
      "y": 200,
      // Group hits by players name.
      // Группировать попадания по имени игрока.
      "groupHitsByPlayer": true,
      // TO DO
      // количество строк
      "lines": 10,
      // Insert order: false - insert new values to begin, true - add to end.
      // Сортировка попаданий: false - новые значения добавляются сверху, true - снизу.
      "addToEnd": false,

      // TO DO
      // Тип нанесенного урона (макрос {{dmg-kind}}).
      "dmg-kind": {
        "shot":            "<font face='$FieldFont'>{{type-shell}}</font>",           // shot / попадание
        "fire":            "<font size='6'> </font><font face='xvm'>&#x51;</font>",   // fire / пожар
        "ramming":         "<font size='6'> </font><font face='xvm'>&#x52;</font>",   // ramming / таран
        "world_collision": "<font size='6'> </font><font face='xvm'>&#x53;</font>",   // world collision / столкновение с объектами, падение
        "drowning":        "<font size='6'> </font><font face='xvm'>&#x119;</font>",  // drowning / утопление
        "overturn":        "<font size='6'> </font><font face='xvm'>&#x112;</font>"   // overturn / опрокидывание
      },
      // TO DO
      // Цвет по типу нанесенного урона (макрос {{c:dmg-kind}}).
      "c:dmg-kind": {
        "shot":            "#FFAA55",  // попадание.
        "fire":            "#FF6655",  // пожар.
        "ramming":         "#B48050",  // таран.
        "world_collision": "#429C42",  // столкновение с объектами, падение.
        "death_zone":      "#F4EFE8",  // выход из игровой зоны.
        "drowning":        "#007FFF",  // затопление.
        "other":           "#F4EFE8"   // другое.
      },
      // Все типы нанесенного урона по цели (макрос {{dmg-kind-player}}). 
      "dmg-kind-player": {
        "shot":            "",                                                        // shot / попадание   <font size='6'> </font><font face='xvm'>&#x50;</font>
        "fire":            "<font size='7'> </font><font face='xvm'>&#x51;</font>",   // fire / пожар
        "ramming":         "<font size='7'> </font><font face='xvm'>&#x52;</font>",   // ramming / таран
        "world_collision": "<font size='7'> </font><font face='xvm'>&#x53;</font>",   // world collision / столкновение с объектами, падение
        "drowning":        "<font size='7'> </font><font face='xvm'>&#x119;</font>",  // drowning / утопление
        "overturn":        "<font size='7'> </font><font face='xvm'>&#x112;</font>"   // overturn / опрокидывание
      },      
      // Vehicle type (macro {{vtype}}).
      // Тип техники (макрос {{vtype}}).
      "vtype": {
        "lightTank":   "<img src='cfg://Enot/img/HitLog/Vtype/LT.png' width='20' height='20' vspace='-10'></font>",  // light tank / лёгкий танк
        "mediumTank":  "<img src='cfg://Enot/img/HitLog/Vtype/ST.png' width='20' height='20' vspace='-10'></font>",  // medium tank / средний танк        
        "heavyTank":   "<img src='cfg://Enot/img/HitLog/Vtype/TT.png' width='20' height='20' vspace='-10'></font>",  // heavy tank / тяжёлый танк
        "AT-SPG":      "<img src='cfg://Enot/img/HitLog/Vtype/PT.png' width='20' height='20' vspace='-10'></font>",  // tank destroyer / ПТ-САУ
        "SPG":         "<img src='cfg://Enot/img/HitLog/Vtype/SAU.png' width='20' height='20' vspace='-10'></font>", // SPG / САУ
        "not_vehicle": ""                               // another source of damage / другой источник урона
      },
      // Color by vehicle type (macro {{c:vtype}}).
      // Цвет по типу техники (макрос {{c:vtype}}).
      "c:vtype":{
        "mediumTank":  "#FFF198",  // medium tank / средний танк
        "lightTank":   "#00CC33",  // light tank / лёгкий танк
        "heavyTank":   "#CCCCCC",  // heavy tank / тяжёлый танк
        "AT-SPG":      "#A0CFFF",  // tank destroyer / ПТ-САУ
        "SPG":         "#FFACAC",  // SPG / САУ
        "not_vehicle": "#FFCC66"   // another source of damage / другой источник урона
      },
      // Shell currency (macro {{costShell}}).
      // Валюта снаряда (макрос {{costShell}}).
      "costShell":{
        "gold-shell": "",   // gold / золото
        "silver-shell": "", // credits / кредиты
        "unknown": ""       // unknown / неизвестно
      },
      // Color by shell currency (macro {{c:costShell}}).
      // Цвет по валюте снаряда (макрос {{c:costShell}}).
      "c:costShell":{
        "gold-shell":   "#FFCC66",   // gold / золото
        "silver-shell": "#CCCCCC",   // credits / кредиты
        "unknown":      "#FFFFFF"    // unknown / неизвестно
      },
      // TO DO
      // Командная принадлежность цели (макрос {{team-dmg}}).
      "team-dmg":{
        "ally-dmg": "",  // ally / союзник
        "enemy-dmg": "", // enemy / противник
        "player": "",    // self damage / урон по себе
        "unknown": ""    // unknown / неизвестно
      },
      // TO DO
      // Цвет по командной принадлежности цели (макрос {{c:team-dmg}}).
      "c:team-dmg":{
        "ally-dmg":   "#00EAFF",   // ally / союзник
        "enemy-dmg":  "#CCCCCC",   // enemy / противник
        "player":     "#228855",   // self damage / урон по себе
        "unknown":    "#CCCCCC"    // unknown / неизвестно
      },
      // Part of vehicle (macro {{comp-name}}).
      // Часть техники (макрос {{comp-name}}).
      "comp-name":{
        "turret":  "{{l10n:turret}}",   // turret / башня
        "hull":    "{{l10n:hull}}",     // body / корпус
        "chassis": "{{l10n:chassis}}",  // suspension / ходовая
        "gun":     "{{l10n:gun}}",      // gun / орудие
        "unknown": ""                   // unknown / неизвестно
      },
      // Shell kind (macro {{type-shell}}).
      // Тип снаряда (макрос {{type-shell}}).
      "type-shell": {
        "armor_piercing":    "<img src='cfg://Enot/img/HitLog/Dmg/ARMOR_PIERCING.png' width='40' height='15' vspace='-2'></font>",    // armor piercing / бронебойный
        "high_explosive":    "<img src='cfg://Enot/img/HitLog/Dmg/HIGH_EXPLOSIVE.png' width='40' height='13' vspace='-2'></font>",    // high explosive / осколочно-фугасный
        "armor_piercing_cr": "<img src='cfg://Enot/img/HitLog/Dmg/ARMOR_PIERCING_CR.png' width='40' height='13' vspace='-2'></font>", // armor piercing composite rigid / бронебойный подкалиберный
        "armor_piercing_he": "<img src='cfg://Enot/img/HitLog/Dmg/ARMOR_PIERCING_HE.png' width='40' height='13' vspace='-2'></font>", // armor piercing high explosive / бронебойно-фугасный
        "hollow_charge":     "<img src='cfg://Enot/img/HitLog/Dmg/HOLLOW_CHARGE.png' width='40' height='13' vspace='-2'></font>",     // high explosive anti-tank / кумулятивный
        "not_shell":         "<img src='cfg://Enot/img/HitLog/Dmg/ARMOR_PIERCING.png' width='40' height='13' vspace='-2'></font>"     // another source of damage / другой источник урона {{type-shell}}
      },
      // Color by shell kind (macro {{type-shell}}).
      // Цвет по типу снаряда (макрос {{type-shell}}).
      "c:type-shell": {
        "armor_piercing":    "#CCCCCC",    // armor piercing / бронебойный
        "high_explosive":    "#CCCCCC",    // high explosive / осколочно-фугасный    
        "armor_piercing_cr": "#CCCCCC",    // armor piercing composite rigid / бронебойный подкалиберный
        "armor_piercing_he": "#CCCCCC",    // armor piercing high explosive / бронебойно-фугасный
        "hollow_charge":     "#CCCCCC",    // high explosive anti-tank / кумулятивный
        "not_shell":         "#CCCCCC"     // another source of damage / другой источник урона
      },
      // Shadow settings
      // Настройки тени
      "shadow": { 
        "distance": 1,
        "angle": 90,
        "color": "#000000",
        "alpha": 90,
        "blur": 3,
        "strength": 3,
        "hideObject": false,
        "inner": false,
        "knockout": false,
        "quality": 1 
      },
      // List of hits format (macros allowed, see macros.txt).
      // Формат лога попаданий (допускаются макроподстановки, см. macros.txt)
      "formatHistory": "<textformat leading='-1' tabstops='[20,60,140,215]'><font><b><font face='Arial' color='#FFFFFF' size='16'>\u00D7{{n-player}}: </font><tab><font size='15' color='#FF0028'>{{dmg-player}}<tab></b></font><font size='16' color='#E1E1E1'> | {{type-shell}}<font color='{{c:dmg-kind}}'>{{dmg}}</font><tab><font size='16' color='#E1E1E1'> | <img src='cfg://Enot/img/HitLog/Flags/{{nation}}.png 'width='18' height='14' vspace='-1'><img src='cfg://Enot/img/HitLog/Vtype/{{c:vtype}}.png' width='20' height='20' vspace='-8'><font face='Arial' size='15' color='{{c:vtype}}'>{{level}}</font><tab><font size='16' color='#E1E1E1'> | <font face='Arial' size='14' color='{{c:eff}}'>{{vehicle}}</font></b> <font face='xvm' size='14' color='{{c:dmg-kind}}'>{{alive? |{{blownup?&#x2C;|&#x2B;}}}} {{dmg-kind-player}}</font></textformat>"
      },
      "Logalt": {
                "$ref": { "path":"hitLog.log" },
        "formatHistory": "<textformat leading='-1' tabstops='[22,58,158]'><font size='14'> \u00D7{{n-player}}:<tab><font face='mono' color='{{c:dmg-ratio-player}}'>{{dmg-player%4d}}</font><tab>|<font color='{{c:vtype}}'>{{vehicle}}</font> <font face='xvm' size='19' color='#FF0000'>{{alive? |{{blownup?&#x78;|&#x77;}}}}</font><tab>|<font color='{{c:team-dmg}}'>{{name%.15s~..}}</font> <font alpha='#A0'>{{clan}}</font></textformat>"
      },
      // Шапка
      "Logbackground": {
        "lines": 1,
                "$ref": { "path":"hitLog.log" },
        "formatHistory": "<font face='New style' size='15' color='#AAFFFF'><font><b>Пробитий: <font face='Arial' color='#FE0E00' size='20'><i>{{py:xvm.numberHitsDealt}}</i></font><font face='Arial' size='15' color='#FFFFFF'><i> X</i></font> <font face='Arial' color='#96FF00' size='22'><i>{{py:xvm.totalDamage}}</i></font> <font face='New style' color='#AAFFFF' size='15'>Последнее: <font face='Arial' size='15' color='{{c:dmg-kind}}'>{{dmg}}</font></b> <font face='xvm' size='14' color='{{c:dmg-kind}}'>{{alive? |{{blownup?&#x2C;|&#x2B;}}}}</font>"    // "<img height='20' width='310' src='xvm://res/icons/damageLog/{{alive?no_dmg|dmg}}.png'>"
       },
      "LogaltBackground": {
                "$ref": { "path":"hitLog.log" },
        "formatHistory": ""//"<img height='20' width='310' src='xvm://res/icons/damageLog/{{alive?no_dmg|dmg}}.png'>"  {{py:xvm.numberHitsReceived}}
    }
  }
}


