﻿/** Настройка P.S.Enot
 * Minimap circles. Only real map meters. Only for own unit.
 * Круги на миникарте. Дистанция только в реальных метрах карты. Только для своей техники.
 */
{
    "circles": {
        "enabled": true,
        // TODO: better description and translation
        // View distance
        // Дальность обзора
        // Параметры:
        //   "enabled": false - выключен
        //   "distance" - дистанция
        //   "scale" - масштаб круга (множитель расстояния) (параметр не обязательный)
        //   "thickness" - толщина
        //   "alpha" - прозрачность
        //   "color" - цвет
        //   "state" - состояние танка: 1-стоит, 2-двигается (параметр не обязательный)
        // Доступные значения расстояния:
        //   N - число в метрах, рисуется статический круг
        //   "dynamic"   - реальная дальность обзора танка c учётом стоит/движется
        //   "motion"    - реальная дальность обзора танка в движении
        //   "standing"  - реальная дальность обзора танка стоя
        //   "blindarea" - реальная граница слепой зоны танка (50<=X<=445)
        //   "blindarea_motion" - реальная граница слепой зоны танка в движении (50<=X<=445)
        //   "blindarea_standing" - реальная граница слепой зоны танка стоя (50<=X<=445)
        // Источник:
        //   http://www.koreanrandom.com/forum/topic/15467-/page-5#entry187139
        //   http://www.koreanrandom.com/forum/topic/15467-/page-4#entry186794
        "view": [
            // Main circles:
            // Основные круги:
            { "enabled":  true, "distance": "blindarea", "scale": 1, "thickness": 0.7, "alpha": 80, "color": "0xFF00FF" },
            { "enabled":  true, "distance": 445,         "scale": 1, "thickness":  0.9, "alpha": 80, "color": "0x00FFFF" },
			         { "enabled":  true, "distance": 442,         "scale": 1, "thickness":  3, "alpha": 20, "color": "0x00FFFF" },
            // Additional circles:
            // Дополнительные круги:
            { "enabled": true, "distance": 50,          "scale": 1, "thickness": 0.75, "alpha": 80, "color": "0xFFFFFF" },
            { "enabled": false, "distance": "standing",  "scale": 1, "thickness":  1.0, "alpha": 60, "color": "0xFF0000" },
            { "enabled": true, "distance": "motion",    "scale": 1, "thickness":  1.0, "alpha": 60, "color": "0x0000FF" },
            { "enabled": true, "distance": "dynamic",   "scale": 1, "thickness":  1.0, "alpha": 90, "color": "0x00FF4D" }
        ],
        // Maximum range of fire for artillery
        // Artillery gun fire range may differ depending on vehicle angle relative to ground
        // and vehicle height positioning relative to target. These factors are not considered.
        // See pics at http://goo.gl/ZqlPa
        // ------------------------------------------------------------------------------------------------
        // Максимальная дальность стрельбы для артиллерии
        // Дальнобойность арты может меняться в зависимости от углов постановки машины на склонах местности
        // и высоте расположения машины относительно цели. На миникарте эти факторы не учитываются.
        // Подробнее по ссылке: http://goo.gl/ZqlPa
        "artillery": { "enabled": true, "alpha": 55, "color": "0x8F52FF", "thickness": 0.5 },
        // Maximum range of shooting for machine gun
        // Максимальная дальность полета снаряда для пулеметных танков
        "shell":     { "enabled": true, "alpha": 55, "color": "0xFF6666", "thickness": 0.5 },
        // Special circles dependent on vehicle type.
        // Many configuration lines for the same vehicle make many circles.
        // See other vehicle types at (replace : symbol with -):
        // http://code.google.com/p/wot-xvm/source/browse/trunk/src/xpm/xvmstat/vehinfo_short.py
        // ------------------------------------------------------------------------------------------------
        // Специальные круги, зависящие от модели техники.
        // Несколько строк для одной техники делают несколько кругов.
        // Названия танков для дополнения брать по ссылке (символ : заменяется -):
        // http://code.google.com/p/wot-xvm/source/browse/trunk/src/xpm/xvmstat/vehinfo_short.py
        "special": [
          // Example: Artillery gun fire range circle
          // Пример: Круг дальности стрельбы арты
          { "uk-GB28_Bishop":       { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 500} },
		  { "uk-GB77_FV304":              { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 500} },
		  { "uk-GB29_Crusader_5inch":     { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE4444", "distance": 1327} },
		  { "uk-GB79_FV206":              { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1405} },
		  { "uk-GB30_FV3805":             { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1354} },
		  { "uk-GB31_Conqueror_Gun":      { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1007} },
		  { "france-Bat_Chatillon155_58": { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1413} },
		  { "germany-G_E":                { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1333} },
		  { "ussr-Object_261":            { "enabled": true, "thickness": 1, "alpha": 80, "color": "0xEE8045", "distance": 1470} }
        ]
    }
}