﻿import BigWorld
from debug_utils import LOG_ERROR
from xvm_main.python.logger import *
from xfw_actionscript.python import *


from helpers import getClientLanguage

from gui.Scaleform.daapi.view.lobby.messengerBar.VehicleCompareCartButton import VehicleCompareCartButton
from gui.Scaleform.daapi.view.meta.MessengerBarMeta import MessengerBarMeta
import xvm_main.python.utils as utils
from xfw import registerEvent
from xfw_actionscript.python import as_event, as_callback

groupButton = None
countVehicles = None

if getClientLanguage() == 'ru':
    url = 'http://warmod.online/?misc/contact/'
else:
    url = 'http://warmod.online/?misc/contact/'

def mouseDown(data):
    if data['buttonIdx'] == 0:
        accountDBID = utils.getAccountDBID()
        try:
            BigWorld.wg_openWebBrowser(url + str(accountDBID))
        except Exception:
            LOG_ERROR('groupButton: there is error while opening web browser')
    return

as_callback('mouse_Down', mouseDown)

@registerEvent(VehicleCompareCartButton, '_populate')
def _populate(self):
    global groupButton, countVehicles
    countVehicles = self.comparisonBasket.getVehiclesCount()
    if countVehicles > 0:
        groupButton = True
        as_event('ON_VK_GROUP')

@registerEvent(VehicleCompareCartButton, '_VehicleCompareCartButton__onCountChanged')
def onCountChanged(self, _):
    global countVehicles
    countVehicles = self.comparisonBasket.getVehiclesCount()

@registerEvent(MessengerBarMeta, 'as_setVehicleCompareCartButtonVisibleS')
def as_setVehicleCompareCartButtonVisibleS(self, value):
    global groupButton    
    if (value == True) and (countVehicles > 0):
        groupButton = True
    elif (value == False) and (countVehicles == 0):
        groupButton = None
    else:
        return
    as_event('ON_VK_GROUP')



def mouseOver(data):
    global groupButton
    groupButton = 'over'
    as_event('ON_VK_GROUP')


def mouseOut(data):
    global groupButton
    groupButton = None
    as_event('ON_VK_GROUP')


as_callback('mouse_Over', mouseOver)
as_callback('mouse_Out', mouseOut)




@xvm.export('groupButton', deterministic=False)
def groupButton():
    return groupButton