""" XVM (c) https://modxvm.com 2013-2019 """

#####################################################################
# imports

from BigWorld import player
from Vehicle import Vehicle
from Avatar import PlayerAvatar
from gui.Scaleform.daapi.view.battle.shared.ribbons_panel import BattleRibbonsPanel

from xfw import registerEvent
from xfw_actionscript.python import as_event
import xvm_battle.python.battle as battle

#####################################################################
# constants

_player = None
fragsCount = 0

#####################################################################
# handlers

def isPlayerVehicle():
    if _player is not None:
        if hasattr(_player.inputHandler.ctrl, 'curVehicleID'):
            vId = _player.inputHandler.ctrl.curVehicleID
            v = vId.id if isinstance(vId, Vehicle) else vId
            return _player.playerVehicleID == v
        else:
            return True
    else:
        return False

@registerEvent(Vehicle, 'onEnterWorld')
def onEnterWorld(self, prereqs):
    global _player
    if not battle.isBattleTypeSupported:
        return
    if _player is None:
        _player = player()

@registerEvent(BattleRibbonsPanel, '_BattleRibbonsPanel__onRibbonAdded')
def BattleRibbonsPanel__onRibbonAdded(self, ribbon):
    global fragsCount
    if battle.isBattleTypeSupported and isPlayerVehicle():
        ribbonType = ribbon.getType()
        if ribbonType == 'kill':
            fragsCount += 1
            as_event('ON_PL_KILL_VEH')

@xvm.export('medalAnnoncer', deterministic=False)
def medalAnnoncer():
    return fragsCount

@registerEvent(PlayerAvatar, '_PlayerAvatar__destroyGUI')
def PlayerAvatar__destroyGUI(self):
    global _player
    _player = None
    fragsCount = 0